ATA_ID(8)

NAME
ata_id - udev callout to read product/serial number from ATA drives

SYNOPSIS
ata_id [--export] blockdevice

DESCRIPTION
ata_id is normally called from a udev rule, to provide udev with a unique string and additional information (uuid, label) for an ATA drive. Udev can use this information to create symlinks in /dev/disk/by-id and /dev/disk/by-label to the real device node.

USAGE
ata_id opens the blockdevice node specified at the commandline and prints the information chosen by the options.

OPTIONS
The following commandline switches are supported to specify what ata_id should print:

--export
    print all values (instead of only the id)

SEE ALSO
udev(7)

AUTHORS
Developed by Kay Sievers <kay.sievers@vrfy.org>.